<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>kmall-pt</artifactId>
        <groupId>com.kmall</groupId>
        <version>3.1.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>kmall-framework</artifactId>

    <name>kmall-framework</name>
    <description>
        此项目为系统WEB合并，
        合并项目可以根据需要自己配置。
        最终打包的项目也根据此配置进行打包。
    </description>


    <dependencies>

        <dependency>
            <groupId>com.kmall</groupId>
            <artifactId>kmall-common</artifactId>
            <version>${kmall-version}</version>
        </dependency>
        <dependency>
            <groupId>com.kmall</groupId>
            <artifactId>kmall-api</artifactId>
            <version>${kmall-version}</version>
        </dependency>
        <dependency>
            <groupId>com.kmall</groupId>
            <artifactId>kmall-admin</artifactId>
            <version>${kmall-version}</version>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>com.kmall</groupId>
            <artifactId>kmall-gen</artifactId>
            <version>${kmall-version}</version>
        </dependency>

    </dependencies>

    <!--<build>
        <sourceDirectory>src/main/java</sourceDirectory>
        <finalName>kmall-framework</finalName>

        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
                <includes>
                    <include>**/*.xml</include>
                    <include>**/*.properties</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/java</directory>
                <filtering>true</filtering>
                <includes>
                    <include>**/*.xml</include>
                    <include>**/*.properties</include>
                </includes>
            </resource>
        </resources>

        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>${maven.surefire.plugin.version}</version>
                <configuration>
                    <skipTests>true</skipTests>
                </configuration>
            </plugin>
            &lt;!&ndash; 合并多个war &ndash;&gt;
            &lt;!&ndash;<plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <version>2.6</version>
                <configuration>
                    <packagingExcludes>WEB-INF/web.xml</packagingExcludes>
                    <failOnMissingWebXml>false</failOnMissingWebXml>
                    <overlays>
                        <overlay>
                            <groupId>com.kmall</groupId>
                            <artifactId>kmall-admin</artifactId>
                        </overlay>

                        &lt;!&ndash; 待添加其他要合并的 web 模块 &ndash;&gt;
                    </overlays>
                </configuration>
            </plugin>&ndash;&gt;
        </plugins>


    </build>-->

</project>